- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
FVarRefinement Class Reference

`#include <fvarRefinement.h>`

## Public Member Functions
| FVarRefinement (Refinement const &refinement, FVarLevel &parent, FVarLevel &child)
| ~FVarRefinement ()
int | getChildValueParentSource (Index vIndex, int sibling) const
float | getFractionalWeight (Index pVert, LocalIndex pSibling, Index cVert, LocalIndex cSibling) const
void | applyRefinement ()
void | estimateAndAllocateChildValues ()
void | populateChildValues ()
void | populateChildValuesFromFaceVertices ()
void | populateChildValuesFromEdgeVertices ()
int | populateChildValuesForEdgeVertex (Index cVert, Index pEdge)
void | populateChildValuesFromVertexVertices ()
int | populateChildValuesForVertexVertex (Index cVert, Index pVert)
void | trimAndFinalizeChildValues ()
void | propagateEdgeTags ()
void | propagateValueTags ()
void | propagateValueCreases ()
void | reclassifySemisharpValues ()

## Detailed Description

Definition at line 59 of file fvarRefinement.h.

## Constructor & Destructor Documentation

FVarRefinement | ( | Refinement const & | refinement,
|  | FVarLevel & | parent,
|  | FVarLevel & | child
| ) |  |

~FVarRefinement | ( |  | ) |

## Member Function Documentation

void applyRefinement | ( |  | ) |

void estimateAndAllocateChildValues | ( |  | ) |

int getChildValueParentSource | ( | Index | vIndex,
|  | int | sibling
| ) |  | const
| inline

Definition at line 64 of file fvarRefinement.h.

float getFractionalWeight | ( | Index | pVert,
|  | LocalIndex | pSibling,
|  | Index | cVert,
|  | LocalIndex | cSibling
| ) |  | const

void populateChildValues | ( |  | ) |

int populateChildValuesForEdgeVertex | ( | Index | cVert,
|  | Index | pEdge
| ) |  |

int populateChildValuesForVertexVertex | ( | Index | cVert,
|  | Index | pVert
| ) |  |

void populateChildValuesFromEdgeVertices | ( |  | ) |

void populateChildValuesFromFaceVertices | ( |  | ) |

void populateChildValuesFromVertexVertices | ( |  | ) |

void propagateEdgeTags | ( |  | ) |

void propagateValueCreases | ( |  | ) |

void propagateValueTags | ( |  | ) |

void reclassifySemisharpValues | ( |  | ) |

void trimAndFinalizeChildValues | ( |  | ) |

The documentation for this class was generated from the following file:

- opensubdiv/vtr/fvarRefinement.h